## /inc/AwlQuery.php

Description

- author: Andrew McMillan <andrew@morphoss.com>
- copyright: Morphoss Ltd
- license: GNU GPL v3 or later

Classes

Class | Description
--- | ---
AwlQuery | The AwlQuery Class.

Includes
require_once ('AwlDatabase.php') (line 11)
Functions
duration (line 107)

A duration (in decimal seconds) between two times which are the result of calls to microtime()

This simple function is used by the AwlQuery class because the microtime function doesn't return a decimal time, so a simple subtraction is not sufficient.

- return: difference

double duration (microtime $t1, microtime $t2)

- microtime $t1: start time
- microtime $t2: end time

_awl_connect_configured_database (line 40)

Connect to the database defined in the $c->db_connect[] (or $c->pg_connect) arrays

void _awl_connect_configured_database ()

Documentation generated on Thu, 25 Feb 2010 11:39:17 +1300 by phpDocumentor 1.3.2